*** Replace c:\projects\catpcaboot by your directory path***.
CD 'c:\projects\catpcaboot'.

*** Replace Data.sav by the name of your data file***.
DEFINE !file() 'Data.sav' !ENDDEFINE.

GET FILE= !file.

*** Check the path and file specification: Select all lines above and run ***.
*** Run: Ctrl r, or run button on toolbar, or right click and choose run current***.
*** (lines starting with a * are comment lines and are ignored)***.

*** 10 is the number of runs***.
DEFINE !nrun() 10 !ENDDEFINE.			

*** 100 is number of bootstraps per run***.
DEFINE !nboot() 100 !ENDDEFINE.		

*** 90 gives a 90% confidence level ***.
DEFINE !alpha() 90 !ENDDEFINE.

*** 75 is the number of points used in plotting the ellips contours ***. 
DEFINE !elpoints() 75 !ENDDEFINE.

*** Replace v1 v2 v3 v4 v5 with your analysis variables ***.
DEFINE !variables() v1 v2 v3 v4 v5 !ENDDEFINE.

*** Replace v1 v2 v3 (ord) v4 v5 (num) with your analysis variables and scaling levels ***.
DEFINE !analysis() /ANALYSIS = v1 v2 v3 (ord) v4 v5 (num) !ENDDEFINE.

*** Replace  v1 v2 v3 v4 (active mode) v5 (passive) with your analysis variables and missing treatment options ***.
DEFINE !missing() /MISSING =  v1 v2 v3 v4 (passive) v5 (active mode) !ENDDEFINE.

*** Finally, select all and run***.

INCLUDE 'CATPCA_Bootstrap1.sps'.
CATPCA_Bootstrap1
   nboot=!nboot
   nrun = !nrun
   alpha = !alpha
   elpoints = !elpoints
   file = !file
   variables = !variables #
   analysis = !analysis #
   missing = !missing .





