preserve.
set printback=on.

* SIMPLE AND COMPLEX RANDOM ASSIGNMENT IN EXPERIMENTAL DESIGNS
  Valentim R. Alferes, University of Coimbra (Portugal), 2009.

* CC6.sps - Complete counterbalacing (6 treatments/720 sequences).

set printback=off.
set ovars labels onumbers values tvars labels tnumbers values.
set errors=none.
data list free /Sequence(a10).
begin data
ABCDEF ABCDFE ABCEDF ABCEFD ABCFDE ABCFED ABDCEF ABDCFE ABDECF ABDEFC
ABDFCE ABDFEC ABECDF ABECFD ABEDCF ABEDFC ABEFCD ABEFDC ABFCDE ABFCED
ABFDCE ABFDEC ABFECD ABFEDC ACBDEF ACBDFE ACBEDF ACBEFD ACBFDE ACBFED
ACDBEF ACDBFE ACDEBF ACDEFB ACDFBE ACDFEB ACEBDF ACEBFD ACEDBF ACEDFB
ACEFBD ACEFDB ACFBDE ACFBED ACFDBE ACFDEB ACFEBD ACFEDB ADBCEF ADBCFE
ADBECF ADBEFC ADBFCE ADBFEC ADCBEF ADCBFE ADCEBF ADCEFB ADCFBE ADCFEB
ADEBCF ADEBFC ADECBF ADECFB ADEFBC ADEFCB ADFBCE ADFBEC ADFCBE ADFCEB
ADFEBC ADFECB AEBCDF AEBCFD AEBDCF AEBDFC AEBFCD AEBFDC AECBDF AECBFD
AECDBF AECDFB AECFBD AECFDB AEDBCF AEDBFC AEDCBF AEDCFB AEDFBC AEDFCB
AEFBCD AEFBDC AEFCBD AEFCDB AEFDBC AEFDCB AFBCDE AFBCED AFBDCE AFBDEC
AFBECD AFBEDC AFCBDE AFCBED AFCDBE AFCDEB AFCEBD AFCEDB AFDBCE AFDBEC
AFDCBE AFDCEB AFDEBC AFDECB AFEBCD AFEBDC AFECBD AFECDB AFEDBC AFEDCB
BACDEF BACDFE BACEDF BACEFD BACFDE BACFED BADCEF BADCFE BADECF BADEFC
BADFCE BADFEC BAECDF BAECFD BAEDCF BAEDFC BAEFCD BAEFDC BAFCDE BAFCED
BAFDCE BAFDEC BAFECD BAFEDC BCADEF BCADFE BCAEDF BCAEFD BCAFDE BCAFED
BCDAEF BCDAFE BCDEAF BCDEFA BCDFAE BCDFEA BCEADF BCEAFD BCEDAF BCEDFA
BCEFAD BCEFDA BCFADE BCFAED BCFDAE BCFDEA BCFEAD BCFEDA BDACEF BDACFE
BDAECF BDAEFC BDAFCE BDAFEC BDCAEF BDCAFE BDCEAF BDCEFA BDCFAE BDCFEA
BDEACF BDEAFC BDECAF BDECFA BDEFAC BDEFCA BDFACE BDFAEC BDFCAE BDFCEA
BDFEAC BDFECA BEACDF BEACFD BEADCF BEADFC BEAFCD BEAFDC BECADF BECAFD
BECDAF BECDFA BECFAD BECFDA BEDACF BEDAFC BEDCAF BEDCFA BEDFAC BEDFCA
BEFACD BEFADC BEFCAD BEFCDA BEFDAC BEFDCA BFACDE BFACED BFADCE BFADEC
BFAECD BFAEDC BFCADE BFCAED BFCDAE BFCDEA BFCEAD BFCEDA BFDACE BFDAEC
BFDCAE BFDCEA BFDEAC BFDECA BFEACD BFEADC BFECAD BFECDA BFEDAC BFEDCA
CABDEF CABDFE CABEDF CABEFD CABFDE CABFED CADBEF CADBFE CADEBF CADEFB
CADFBE CADFEB CAEBDF CAEBFD CAEDBF CAEDFB CAEFBD CAEFDB CAFBDE CAFBED
CAFDBE CAFDEB CAFEBD CAFEDB CBADEF CBADFE CBAEDF CBAEFD CBAFDE CBAFED
CBDAEF CBDAFE CBDEAF CBDEFA CBDFAE CBDFEA CBEADF CBEAFD CBEDAF CBEDFA
CBEFAD CBEFDA CBFADE CBFAED CBFDAE CBFDEA CBFEAD CBFEDA CDABEF CDABFE
CDAEBF CDAEFB CDAFBE CDAFEB CDBAEF CDBAFE CDBEAF CDBEFA CDBFAE CDBFEA
CDEABF CDEAFB CDEBAF CDEBFA CDEFAB CDEFBA CDFABE CDFAEB CDFBAE CDFBEA
CDFEAB CDFEBA CEABDF CEABFD CEADBF CEADFB CEAFBD CEAFDB CEBADF CEBAFD
CEBDAF CEBDFA CEBFAD CEBFDA CEDABF CEDAFB CEDBAF CEDBFA CEDFAB CEDFBA
CEFABD CEFADB CEFBAD CEFBDA CEFDAB CEFDBA CFABDE CFABED CFADBE CFADEB
CFAEBD CFAEDB CFBADE CFBAED CFBDAE CFBDEA CFBEAD CFBEDA CFDABE CFDAEB
CFDBAE CFDBEA CFDEAB CFDEBA CFEABD CFEADB CFEBAD CFEBDA CFEDAB CFEDBA
DABCEF DABCFE DABECF DABEFC DABFCE DABFEC DACBEF DACBFE DACEBF DACEFB
DACFBE DACFEB DAEBCF DAEBFC DAECBF DAECFB DAEFBC DAEFCB DAFBCE DAFBEC
DAFCBE DAFCEB DAFEBC DAFECB DBACEF DBACFE DBAECF DBAEFC DBAFCE DBAFEC
DBCAEF DBCAFE DBCEAF DBCEFA DBCFAE DBCFEA DBEACF DBEAFC DBECAF DBECFA
DBEFAC DBEFCA DBFACE DBFAEC DBFCAE DBFCEA DBFEAC DBFECA DCABEF DCABFE
DCAEBF DCAEFB DCAFBE DCAFEB DCBAEF DCBAFE DCBEAF DCBEFA DCBFAE DCBFEA
DCEABF DCEAFB DCEBAF DCEBFA DCEFAB DCEFBA DCFABE DCFAEB DCFBAE DCFBEA
DCFEAB DCFEBA DEABCF DEABFC DEACBF DEACFB DEAFBC DEAFCB DEBACF DEBAFC
DEBCAF DEBCFA DEBFAC DEBFCA DECABF DECAFB DECBAF DECBFA DECFAB DECFBA
DEFABC DEFACB DEFBAC DEFBCA DEFCAB DEFCBA DFABCE DFABEC DFACBE DFACEB
DFAEBC DFAECB DFBACE DFBAEC DFBCAE DFBCEA DFBEAC DFBECA DFCABE DFCAEB
DFCBAE DFCBEA DFCEAB DFCEBA DFEABC DFEACB DFEBAC DFEBCA DFECAB DFECBA
EABCDF EABCFD EABDCF EABDFC EABFCD EABFDC EACBDF EACBFD EACDBF EACDFB
EACFBD EACFDB EADBCF EADBFC EADCBF EADCFB EADFBC EADFCB EAFBCD EAFBDC
EAFCBD EAFCDB EAFDBC EAFDCB EBACDF EBACFD EBADCF EBADFC EBAFCD EBAFDC
EBCADF EBCAFD EBCDAF EBCDFA EBCFAD EBCFDA EBDACF EBDAFC EBDCAF EBDCFA
EBDFAC EBDFCA EBFACD EBFADC EBFCAD EBFCDA EBFDAC EBFDCA ECABDF ECABFD
ECADBF ECADFB ECAFBD ECAFDB ECBADF ECBAFD ECBDAF ECBDFA ECBFAD ECBFDA
ECDABF ECDAFB ECDBAF ECDBFA ECDFAB ECDFBA ECFABD ECFADB ECFBAD ECFBDA
ECFDAB ECFDBA EDABCF EDABFC EDACBF EDACFB EDAFBC EDAFCB EDBACF EDBAFC
EDBCAF EDBCFA EDBFAC EDBFCA EDCABF EDCAFB EDCBAF EDCBFA EDCFAB EDCFBA
EDFABC EDFACB EDFBAC EDFBCA EDFCAB EDFCBA EFABCD EFABDC EFACBD EFACDB
EFADBC EFADCB EFBACD EFBADC EFBCAD EFBCDA EFBDAC EFBDCA EFCABD EFCADB
EFCBAD EFCBDA EFCDAB EFCDBA EFDABC EFDACB EFDBAC EFDBCA EFDCAB EFDCBA
FABCDE FABCED FABDCE FABDEC FABECD FABEDC FACBDE FACBED FACDBE FACDEB
FACEBD FACEDB FADBCE FADBEC FADCBE FADCEB FADEBC FADECB FAEBCD FAEBDC
FAECBD FAECDB FAEDBC FAEDCB FBACDE FBACED FBADCE FBADEC FBAECD FBAEDC
FBCADE FBCAED FBCDAE FBCDEA FBCEAD FBCEDA FBDACE FBDAEC FBDCAE FBDCEA
FBDEAC FBDECA FBEACD FBEADC FBECAD FBECDA FBEDAC FBEDCA FCABDE FCABED
FCADBE FCADEB FCAEBD FCAEDB FCBADE FCBAED FCBDAE FCBDEA FCBEAD FCBEDA
FCDABE FCDAEB FCDBAE FCDBEA FCDEAB FCDEBA FCEABD FCEADB FCEBAD FCEBDA
FCEDAB FCEDBA FDABCE FDABEC FDACBE FDACEB FDAEBC FDAECB FDBACE FDBAEC
FDBCAE FDBCEA FDBEAC FDBECA FDCABE FDCAEB FDCBAE FDCBEA FDCEAB FDCEBA
FDEABC FDEACB FDEBAC FDEBCA FDECAB FDECBA FEABCD FEABDC FEACBD FEACDB
FEADBC FEADCB FEBACD FEBADC FEBCAD FEBCDA FEBDAC FEBDCA FECABD FECADB
FECBAD FECBDA FECDAB FECDBA FEDABC FEDACB FEDBAC FEDBCA FEDCAB FEDCBA
end data.

* Enter number of units per sequence. 
compute units= 1.

loop cases=1 to units.
xsave outfile=outf1/keep=Sequence.
end loop.
execute.
get file=outf1.
set seed random.
compute random=uniform(1).
sort cases by random(a).
rank variables=random(a)/print=no.
compute Unit=rrandom.
formats all(f8.0).
oms/select tables/if commands=["summarize"]
 subtypes=["case processing summary"]/destination viewer=no.
oms/select tables/if commands=["crosstabs"]
 subtypes=["case processing summary"]/destination viewer=no.
summarize/tables=unit sequence/format=validlist nocasenum nototal
 /title='Complete Counterbalancing \n Sorted by Unit'/cells=none.
sort cases by sequence(a) unit(a).
summarize/tables= unit sequence/format=validlist nocasenum nototal
 /title='Complete Counterbalancing \n Sorted by Sequence'/cells=none.
summarize/tables=unit  by sequence/format=nolist total
 /title='Number of Units per Sequence'/cells=count npct.
restore.
