preserve.
set printback=on.

* SIMPLE AND COMPLEX RANDOM ASSIGNMENT IN EXPERIMENTAL DESIGNS
  Valentim R. Alferes, University of Coimbra (Portugal), 2009.

* PerObj.sps - Random permutation of n objects.

set printback=off.
data list free /Object (a150).

* Replace the example list with the names of the objects to permute (no limit 
  of the number of objects; no blank spaces in the object names).

begin data
apples
oranges
strawberries
roses
@#%2!@)123
54
bananas
781
1231452
AMOS
Compreensive_Meta_Analysis
EQS
HLM
LISREL
Mathematica
MathLAB
MINITAB
MLinW
QSR
R
SamplePower
SAS
SPSS
STATA
STATISTICA
StatXact
StatXLog
SYSTAT
4532145
56321A-67_%oZ
dogs
cats
marguerites
end data.

set seed random.
compute rn=rv.uniform(0,1).
sort cases by rn(a).
oms/select tables/if commands=["summarize"]
 subtypes=["case processing summary"]/destination viewer=no.
summarize/tables=object/format=list nocasenum nototal
 /title='Random Permutation'/cells=none.
restore.
