preserve.
set printback=on.

* SIMPLE AND COMPLEX RANDOM ASSIGNMENT IN EXPERIMENTAL DESIGNS
  Valentim R. Alferes, University of Coimbra (Portugal), 2009.

* LS2.sps - Partial counterbalancing (2 treatments; 2 sequences/units).

set printback=off.
set ovars labels onumbers values tvars labels tnumbers values.
set errors=none.
oms/select tables/if commands=["summarize"]
 subtypes=["case processing summary"]/destination viewer=no.
oms/select tables/if commands=["crosstabs"]
 subtypes=["case processing summary"]/destination viewer=no.
data list free/LS(a8).
begin data
AB BA
end data.
summarize/tables=ls/format=validlist nocasenum nototal
 /title='Square 1 \n Standard Latin Square'/cells=none.
set seed random.
compute na=uniform(1).
rank na(a)/print=no.
formats rna(f8.0).
variable labels rna"Random Permutation".
summarize/tables=rna/format=validlist nocasenum nototal
 /title='Random Permution for Square 1 Rows'/cells=none.
sort cases by na(a).
summarize/tables=ls/format=validlist nocasenum nototal
 /title='Square 2 \n Random Permatuation of Square 1 Rows \n '
 +'Final Latin Square'/cells=none/footnote
 'If necessary, repeat the syntax for each new set of 2 units'.
restore.

