preserve.
set printback=on.

* SIMPLE AND COMPLEX RANDOM ASSIGNMENT IN EXPERIMENTAL DESIGNS
  Valentim R. Alferes, University of Coimbra (Portugal), 2009.

* BuzzHealth.sps - Buzz Phrase Generator 
 (Health - see http://pb.rcpsych.org/cgi/reprint/13/12/679).

set printback=off.
set ovars labels onumbers values tvars labels tnumbers values.
data list free /list1 (a20) list2(a20) list3(a20).
begin data
Coordinated management potential Integrated organisational options Systematised 
logistical flexibility Specialised monitored facility Concerted incremental 
capability Synchronised policy programming Compatible resource philosophy 
Functional control concept Comprehensive review strategy Optional proportional 
format 
end data.
save outfile=file0.
get file=file0.
set seed random.
compute rn=rv.uniform(0,1).
sort cases by rn(a).
n 1.
execute.
save outfile=file1/drop rn list2 list3.
get file=file0.
compute rn=rv.uniform(0,1).
sort cases by rn(a).
n 1.
execute.
save outfile=file2/drop rn list1 list3.
get file=file0.
compute rn=rv.uniform(0,1).
sort cases by rn(a).
n 1.
execute.
save outfile=file3/drop rn list1 list2.
get file=file1.
match files/file=*/file=file2/file=file3.
execute.
string Phrase(a62).
compute phrase=concat(rtrim(list1)," ",rtrim(list2)," ",rtrim(list3)).
execute.
list phrase.
restore.


