preserve.
set printback=on.

* SIMPLE AND COMPLEX RANDOM ASSIGNMENT IN EXPERIMENTAL DESIGNS
  Valentim R. Alferes, University of Coimbra (Portugal), 2009.

* TableRN.sps - Table of Random Numbers.

set printback=off.
set ovars labels onumbers values tvars labels tnumbers values.
new file.
input program.

* Replace "?" with the number of desired lines.
loop line=1 to ?.

end case.
end loop.
end file.
end input program.
execute.
set seed random.

* Replace "?" with the number of desired columns.
do repeat C=C_1 to C_?.
 
compute C=rnd(rv.uniform(-0.5,9.5)).
end repeat.
execute.
formats all(f8.0).
delete variables line.
oms/select tables/if commands=["summarize"]
 subtypes=["case processing summary"]/destination viewer=no.
summarize/tables=all/format=list nocasenum nototal
 /title='Table of Random Numbers'/cells=none.
restore.
